Appointments
Create Appointment Batch Import
Creates a new appointment Batch Import.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
external_id?|
Identifier assigned by an external system.
allow_reassignment?boolean
Whether matching records may be reassigned from another contact.
Default
falsesource*|
Source value for this resource.
Response Body
application/json
curl -X POST "https://api.getmateo.com/v1/appointments/imports/batch" \ -H "Content-Type: application/json" \ -d '{ "source": { "type": "file", "file": { "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767" } } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "status": "pending", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "total_count": 9007199254740991, "success_count": 9007199254740991, "failed_count": 9007199254740991, "failure": { "code": "string", "message": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "allow_reassignment": true}Empty
Empty